Getting Ready for EST - Milestone #322

Mid Time Review in Brussels
2017-02-22 06:27 - GREST EST

Status: Closed Start date: 2017-02-23
Priority: Normal Due date: 2017-02-23
Category:

Description

History

#1 - 2017-02-23 09:29 - GREST EST

- Status changed from New to In Progress

#2 - 2017-03-21 14:04 - GREST EST

- Status changed from In Progress to Resolved

#3 - 2017-03-24 11:11 - GREST EST
- Tracker changed from Meeting to Milestone

- Status changed from Resolved to Closed

Files
